Skip to main content

Update a certificate credential

PATCH 

/nevisidm/api/core/v1/:clientExtId/users/:userExtId/certificates/:extId

Since: 2.71.0

Required permission(s): AccessControl.CredentialModify,AccessControl.CredentialView or SelfAdmin Role

Partially updates the certificate credential with the specified external ID. Only fields included in the request body are updated. Omitted fields remain unchanged.

If the certificate field is provided, it must be a valid PEM-encoded X.509 certificate. The certificate attributes (subject DN, issuer DN, fingerprint, serial, subject key identifier) are re-extracted automatically from the new certificate value. The new certificate is validated against the configured certificate policy.

In self-admin mode, a valid JWT token must be provided in the X-Token request header.

Request

Path Parameters

    clientExtId stringrequired

    External ID of the client.

    Example: client-123
    userExtId stringrequired

    External ID of the user.

    Example: user-123
    extId stringrequired

    External ID of the certificate credential.

    Example: cert-123

Body

required
    certificate string

    The PEM-encoded X.509 certificate value to replace the current credential value.

    stateName string

    Possible values: [initial, active, tmp-locked, fail-locked, reset-code, admin-changed, disabled]

    The state of the credential.

    modificationComment string

    Textual comment regarding the last modification.

    version int32

    Version used for optimistic locking.

Responses

Certificate credential updated successfully

Schema
    created string

    Creation date of the entity.

    lastModified string

    Date when the entity was last modified.

    version int32

    Version used for optimistic locking.

    extId string

    The external ID of the credential.

    userExtId string

    The external ID of the user to whom the credential belongs.

    policyExtId string

    The external ID of the used policy.

    stateName string

    Possible values: [initial, active, tmp-locked, fail-locked, reset-code, admin-changed, disabled, archived]

    The state of the credential. Available values: initial, active, tmp-locked, fail-locked, reset-code, admin-changed, disabled, archived.

    stateChangeReason string

    Reason for the last state change of the password.

    stateChangeDetail string

    Reason detail for the last state change of the password.

    lastSuccessfulLoginDate string

    Timestamp of last successful login.

    successfulLoginCount int32

    Counts successful logins with this credential since last initialization or reset.

    lastFailedLoginDate string

    Date of last non-technical login failure, for example, wrong password.

    failedLoginCount int32

    Counts non-technical login failures since the last successful login, initialization or reset.

    modificationComment string

    Textual comment regarding the last modification.

    type string

    Possible values: [Password, Certificate, SecurID User Mapping, Ticket Authorization, Safeword User Mapping, OTP Card, Temporary Strong Password, Generic Credential, Kerberos, mTan, Vasco, PUK, URL Ticket, DevicePassword, MobileSignature, SAML Federation, Security Questions, Context Password, OATH, FIDO UAF Authenticator, Recovery Code, FIDO2 Authenticator]

    Type of credential.

    validity object

    Describes the validity period of the password.

    from string

    Start date of the entity's validity in ISO format.

    to string

    End date of the entity's validity in ISO format.

    subjectDN string

    DN of the certificate subject.

    issuerDN string

    DN of the certificate issuer.

    fingerprint string

    Fingerprint of the certificate in hexbyte-colon notation.

    serial string

    Serial number of the certificate.

    subjectKeyIdentifier string

    The subject key identifier extension value stored in the certificate credential.

    certificate string

    The PEM-encoded X.509 certificate value of the credential.

Loading...